{% extends 'base.html' %}

{% block title %}
Blueprint index page
{% endblock %}

{% block content_title %}
Posts
{% endblock %}

{% block content %}
{% for post in pages.items %}
    <p>
        <a href="{{ url_for('posts.post_detail', slug=post.slug) }}">{{ post.title }}</a>
</p>
{% endfor %}

<nav>
    <ul class="pagination">
        <li {% if not pages.has_prev %} class="disabled" {% endif %}>
            <a href="./?page={{ pages.prev_num }}" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a>
        </li>

        {% for page in pages.iter_pages() %}
            <li  {% if page == pages.page %} class="active" {% endif %}>
                <a  href="./?page={{ page }}"> {{ page }} <span class="sr-only">(current)</span></a>
            </li>
        {% endfor %}


        <li {% if not pages.has_next %} class="disabled" {% endif %}>
            <a href="./?page={{ pages.next_num }}" aria-label="Next"><span aria-hidden="true">&raquo;</span></a>
        </li>
    </ul>
</nav>
{% endblock %}